import AppBuilder from './app';
import AddonBuilder from './addon';
export default class DummyBuilder extends AppBuilder {
    packageFiles: string[];
    addonBuilderUnderTest: AddonBuilder;
    readonly addonDirUnderTest: string;
    discoverAddons(): AddonBuilder[];
    /**
     * Once we have all the addons for the dummy app, find the addon that
     * corresponds to two directories up, and mark it as our addon under test
     *
     * TODO: this is pretty brittle - any change to the directory structures
     * here will break this (i.e. moving tmp files to a system tmp directory).
     * We should find a better way to detect the addon under test.
     */
    protected flagAddonUnderTest(addons: AddonBuilder[]): void;
    /**
     * A couple things are unique about dummy apps:
     *
     * 1. They borrow their tests from the addon under test
     * 2. They drop the compiled version of the addon under test into their
     *    dist/node_modules directory
     */
    assembleTree(): any;
}
